# SoGLLineWidthElement Class Reference
[Elements (mostly for internal use)]

`#include <Inventor/elements/SoGLLineWidthElement.h>`

Inheritance diagram for SoGLLineWidthElement:

List of all members.

## Detailed Description

The SoGLLineWidthElement class changes the linewidth setting of the OpenGL render state.

Requests from the scenegraph to change the linewidth when rendering OpenGL line primitives will be made through this element, which forwards it to the appropriate native OpenGL call.

The Coin library does not place any bounds on the values of the linewidths, but be aware that the range and granularity of what is valid linewidths depends on the underlying OpenGL implementation. Application programmers using line primitives (typically through the SoLineSet or SoIndexedLineSet nodes) should heed these boundary values. They can be acquired by running the following code from within a valid OpenGL context:

        GLfloat bounds[2];
        glGetFloatv(GL_LINE_WIDTH_RANGE, bounds);
        GLfloat granularity[1];
        glGetFloatv(GL_LINE_WIDTH_GRANULARITY, granularity);

Another, perhaps more convenient, way of acquiring the OpenGL implementation limits with regard to pointsizes is to use the So*GLWidget::getPointSizeLimits() method in the GUI "glue" interface library you are using (SoQt, SoXt, SoGtk, SoWin, ...).

## Public Member Functions

virtual void | init (SoState *state)
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoGLLineWidthElement ()
virtual void | setElt (float width)

## Constructor & Destructor Documentation

SoGLLineWidthElement::~SoGLLineWidthElement | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoGLLineWidthElement::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoLineWidthElement.

void SoGLLineWidthElement::init | ( | SoState * | state | ) | `[virtual]`

| This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects. Reimplemented from SoLineWidthElement.

void SoGLLineWidthElement::push | ( | SoState * | state | ) | `[virtual]`

This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

void SoGLLineWidthElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement
| ) | `[virtual]`

| This method is callled when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement. Override this method if you need to copy some state information from the previous top of stack. Reimplemented from SoElement.

void SoGLLineWidthElement::setElt | ( | float | width | ) | `[protected, virtual]`

| Set element value. Reimplemented from SoFloatElement.

The documentation for this class was generated from the following files:

- SoGLLineWidthElement.h
- SoGLLineWidthElement.cpp